--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Initialize a length validator
- !ruby/struct:SM::Flow::P 
  body: "@param [Symbol] field_name"
- !ruby/struct:SM::Flow::VERB 
  body: "  the name of the field to validate\n"
- !ruby/struct:SM::Flow::P 
  body: "@param [Hash] options"
- !ruby/struct:SM::Flow::VERB 
  body: "  the validator options\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [undefined]"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Validate::LengthValidator::new
is_singleton: true
name: new
params: (field_name, options)
visibility: public
